class MyException extends Exception {
  String str;
  MyException(String s) { str = s; }
  void hello() { System.out.println(str); }
}


public class ch9ex2 {
  public static void main(String args[]) {
    try {
      throw new MyException("howdy");
    } catch(MyException E) {
      E.hello();
    }
  }
}
